Receive Message
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/instagram/{workspaceId}/instagram/{credentialsId}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": {
"id": "<string>"
},
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": true,
"attachments": [
{
"type": "<string>",
"payload": {
"url": "<string>"
}
}
]
}
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"text": "<string>",
"timestamp": 123,
"from": {
"id": "<string>",
"username": "<string>"
},
"media": {
"id": "<string>"
},
"parent_id": "<string>"
}
}
]
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/instagram/{workspaceId}/instagram/{credentialsId}/webhook"
payload = { "entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": { "id": "<string>" },
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": True,
"attachments": [
{
"type": "<string>",
"payload": { "url": "<string>" }
}
]
}
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"text": "<string>",
"timestamp": 123,
"from": {
"id": "<string>",
"username": "<string>"
},
"media": { "id": "<string>" },
"parent_id": "<string>"
}
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: [
{
id: '<string>',
time: 123,
messaging: [
{
sender: {id: '<string>'},
timestamp: 123,
message: {
mid: '<string>',
text: '<string>',
is_echo: true,
attachments: [{type: '<string>', payload: {url: '<string>'}}]
}
}
],
changes: [
{
field: '<string>',
value: {
id: '<string>',
text: '<string>',
timestamp: 123,
from: {id: '<string>', username: '<string>'},
media: {id: '<string>'},
parent_id: '<string>'
}
}
]
}
]
})
};
fetch('http://127.0.0.1:3333/v3/integrations/instagram/{workspaceId}/instagram/{credentialsId}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Instagram
Receive Message
Receive Instagram Message.
POST
/
v3
/
integrations
/
instagram
/
{workspaceId}
/
instagram
/
{credentialsId}
/
webhook
Receive Message
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/instagram/{workspaceId}/instagram/{credentialsId}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": {
"id": "<string>"
},
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": true,
"attachments": [
{
"type": "<string>",
"payload": {
"url": "<string>"
}
}
]
}
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"text": "<string>",
"timestamp": 123,
"from": {
"id": "<string>",
"username": "<string>"
},
"media": {
"id": "<string>"
},
"parent_id": "<string>"
}
}
]
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/instagram/{workspaceId}/instagram/{credentialsId}/webhook"
payload = { "entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": { "id": "<string>" },
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": True,
"attachments": [
{
"type": "<string>",
"payload": { "url": "<string>" }
}
]
}
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"text": "<string>",
"timestamp": 123,
"from": {
"id": "<string>",
"username": "<string>"
},
"media": { "id": "<string>" },
"parent_id": "<string>"
}
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: [
{
id: '<string>',
time: 123,
messaging: [
{
sender: {id: '<string>'},
timestamp: 123,
message: {
mid: '<string>',
text: '<string>',
is_echo: true,
attachments: [{type: '<string>', payload: {url: '<string>'}}]
}
}
],
changes: [
{
field: '<string>',
value: {
id: '<string>',
text: '<string>',
timestamp: 123,
from: {id: '<string>', username: '<string>'},
media: {id: '<string>'},
parent_id: '<string>'
}
}
]
}
]
})
};
fetch('http://127.0.0.1:3333/v3/integrations/instagram/{workspaceId}/instagram/{credentialsId}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
⌘I